Bug 495605 - backup operations are broken
backup operations are broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 21:59 EDT by Misho Krastev
Modified: 2009-07-03 15:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.43.3-0.3.rc2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backup set that fails to complete (612 bytes, text/plain)
2009-04-14 15:26 EDT, Misho Krastev
no flags Details

  None (edit)
Description Misho Krastev 2009-04-13 21:59:01 EDT
Description of problem:

After upgrading to version 1.43.3rc1, existing backup set can not complete due to apparent code error.

Version-Release number of selected component (if applicable):

1.43.3rc1

How reproducible:

Every time

Steps to Reproduce:
1. Start fwbackups
2. Use an existing backup set
3. Start the backup operation manually by clicking on "Backup Set Now", or let it run at its scheduled time
  
Actual results:

The operation fails. A popup window is opened at the end with the following text:

Traceback (most recent call last):
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 1369, in on_main2BackupSetNowButton_clicked
    self.startSetBackup()
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 2439, in startSetBackup
    self.logger.logmsg('DEBUG', _('Thread returned with retval %s' % self.backupThread.retval))
TypeError: not all arguments converted during string formatting

Expected results:

Backup operation should complete successfully.

Additional info:

Before the upgrade today to version 1.43.3rc1 backups were running fine.
Comment 1 Stewart Adam 2009-04-13 23:45:26 EDT
I can't seem to reproduce this on my machine - can you please export the affected set(s) and attach the configuration files there? You may want to edit the files and remove the "RemotePassword=" key if needed.
Comment 2 Misho Krastev 2009-04-14 15:26:24 EDT
Created attachment 339557 [details]
Backup set that fails to complete

One backup set is attached.

I just noticed that the operation fails while (or even after) sending the file to the backup destination. The last line that shows up in the log is this:

Apr 14 12:20:56 :: DEBUG : Sending files to server via SFTP

The backup file actually appears in the backup destination, and it seems to be in good order.
Comment 3 Stewart Adam 2009-05-24 14:16:05 EDT
I found the bug causing the error, this will be fixed in 1.43.3rc2.
Comment 4 Fedora Update System 2009-06-09 11:31:01 EDT
fwbackups-1.43.3-0.3.rc2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.3.rc2.fc11
Comment 5 Bug Zapper 2009-06-09 23:40:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-06-15 21:38:19 EDT
fwbackups-1.43.3-0.3.rc2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6096
Comment 7 Misho Krastev 2009-06-16 14:02:01 EDT
Thank you for providing a fix for this problem.

When I upgrade to F11 I will be able to test it and provide feedback (if this bug is still open).
Comment 8 Stewart Adam 2009-06-16 14:07:40 EDT
A F9 update is pending now: https://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.2.rc2.fc9
Comment 9 Fedora Update System 2009-07-03 15:39:23 EDT
fwbackups-1.43.3-0.3.rc2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-03 15:45:48 EDT
fwbackups-1.43.3-0.3.rc2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.